Rated 1 out of 5 stars

does not work with the current version of firefox (3.0.1).